#include <bits/stdc++.h>
typedef long long ll;
#define endl '\n'
using namespace std;
const int N=2000100;
int a[N];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    string s;cin>>s;
    int n=s.size();
    for (int i=1;i<n;i++){
        if (s[i]<s[i-1]) a[i]=1;
    }
    for (int i=1;i<=n;i++) a[i]+=a[i-1];
    int q;cin>>q;
    for (int it=1;it<=q;it++){
        int l,r;cin>>l>>r;
        cout<<a[r-1]-a[l-1]+1<<endl;
    }
    return 0;
}
